Index: share/mk/doc.docbook.dsssl.mk
===================================================================
RCS file: /cvsroot/htdocs/share/mk/doc.docbook.dsssl.mk,v
retrieving revision 1.5
diff -d -u -I\$FreeBSD:.*\$ -I\$NetBSD:.*\$ -I\$OpenBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.5 doc.docbook.dsssl.mk
--- share/mk/doc.docbook.dsssl.mk	7 May 2004 16:47:04 -0000	1.5
+++ share/mk/doc.docbook.dsssl.mk	29 May 2004 22:27:50 -0000
@@ -1,9 +1,10 @@
 # $NetBSD: doc.docbook.dsssl.mk,v 1.5 2004/05/07 16:47:04 hrs Exp $
 
 JADE_BIN?=	openjade
-JADE?=		${JADE_BIN} 
+JADE?=		env ${JADE_ENV} ${JADE_BIN} 
 JADETEX_BIN?=	jadetex
 JADETEX?=	${JADETEX_BIN}
+JADE_ENV?=	SP_ENCODING=${SP_ENCODING}
 
 JADE_OPTS= -d ${DSSSL} ${SGML_CATALOGS} ${JADE_FLAGS}
 
Index: share/mk/doc.docbook.mk
===================================================================
RCS file: /cvsroot/htdocs/share/mk/doc.docbook.mk,v
retrieving revision 1.7
diff -d -u -I\$FreeBSD:.*\$ -I\$NetBSD:.*\$ -I\$OpenBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.7 doc.docbook.mk
--- share/mk/doc.docbook.mk	8 May 2004 09:45:43 -0000	1.7
+++ share/mk/doc.docbook.mk	29 May 2004 22:27:51 -0000
@@ -78,7 +78,9 @@
 
 XML_CATALOGS= ${DBX_XML_CATALOG}
 
-XML_ENCODING?=		iso-8859-1
+XML_ENCODING?=	iso-8859-1
+SP_ENCODING?=	iso-8859-1
+SX_ENCODING?=	iso-8859-1
 
 SED?=		/usr/bin/sed
 CAT?=		/bin/cat
Index: share/mk/doc.docbook.xsl.mk
===================================================================
RCS file: /cvsroot/htdocs/share/mk/doc.docbook.xsl.mk,v
retrieving revision 1.8
diff -d -u -I\$FreeBSD:.*\$ -I\$NetBSD:.*\$ -I\$OpenBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.8 doc.docbook.xsl.mk
--- share/mk/doc.docbook.xsl.mk	8 May 2004 09:46:11 -0000	1.8
+++ share/mk/doc.docbook.xsl.mk	29 May 2004 22:27:51 -0000
@@ -1,10 +1,10 @@
 # $NetBSD: doc.docbook.xsl.mk,v 1.8 2004/05/08 09:46:11 hrs Exp $
 
 SX_BIN?=	${PREFIX}/bin/osx
-SX_OPTS?=	${SGML_CATALOGS} -f ${SXERR} -xsdata-as-pis -xlower -xempty -b ${SX_CHARSET}
-SX?=		${SX_BIN} ${SX_OPTS} ${SX_FLAGS} ${XML_DECL}
-SX_CHARSET?=	iso-8859-1
+SX_OPTS?=	${SGML_CATALOGS} -f ${SXERR} -xsdata-as-pis -xlower -xempty -b ${SX_ENCODING}
+SX?=		env ${SX_ENV} ${SX_BIN} ${SX_OPTS} ${SX_FLAGS} ${XML_DECL}
 SXERR?=		.sxerr
+SX_ENV?=	SP_CHARSET_FIXED=YES SP_ENCODING=${SP_ENCODING}
 
 XSLTPROC_BIN?=	${PREFIX}/bin/xsltproc
 XSLTPROC_FLAGS?=
@@ -13,7 +13,7 @@
 
 NSGMLS_BIN?=	${PREFIX}/bin/onsgmls
 NSGMLS_OPTS?=	-s -wall ${SGML_CATALOGS} ${NSGMLS_FLAGS} ${XML_DECL}
-NSGMLS_ENV?=
+NSGMLS_ENV?=	SP_CHARSET_FIXED=YES SP_ENCODING=${SP_ENCODING}
 NSGMLS?=	env ${NSGMLS_ENV} ${NSGMLS_BIN} ${NSGMLS_OPTS}
 
 XML_CATALOG_FILES?=	${PREFIX}/share/xml/catalog
Index: guide/ko/Makefile
===================================================================
RCS file: /cvsroot/htdocs/guide/ko/Makefile,v
retrieving revision 1.1
diff -d -u -I\$FreeBSD:.*\$ -I\$NetBSD:.*\$ -I\$OpenBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.1 Makefile
--- guide/ko/Makefile	19 May 2004 19:56:40 -0000	1.1
+++ guide/ko/Makefile	29 May 2004 22:27:51 -0000
@@ -9,6 +9,8 @@
 NO_TIDY= YES
 
 XML_ENCODING=	UTF-8
+SP_ENCODING=	XML
+SX_ENCODING=	UTF-8
 
 DOC=	netbsd
 
Index: guide/ko/ap-contrib.xml
===================================================================
RCS file: /cvsroot/htdocs/guide/ko/ap-contrib.xml,v
retrieving revision 1.1
diff -d -u -I\$FreeBSD:.*\$ -I\$NetBSD:.*\$ -I\$OpenBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.1 ap-contrib.xml
--- guide/ko/ap-contrib.xml	24 May 2004 22:43:30 -0000	1.1
+++ guide/ko/ap-contrib.xml	29 May 2004 22:27:51 -0000
@@ -175,7 +175,7 @@
 
       <programlisting>map! &egrave; &amp;egrave;</programlisting>
 
-      <para><xref linkend="ap-xml" />에서는 DocBook 원본 파일로부터
+      <para><!-- xref linkend="ap-xml" / -->에서는 DocBook 원본 파일로부터
       HTML 및 기타 형식의 문서를 생성하는 소프트웨어 도구를 어떻게
       설치하는지 설명한다.  이런 도구는 작업 내용을 검사(실수로 태그를
       삭제하지는 않았는지 등)하거나 결과물이 어떻게 나오는지 보고자 할
Index: guide/ko/netbsd.xml
===================================================================
RCS file: /cvsroot/htdocs/guide/ko/netbsd.xml,v
retrieving revision 1.3
diff -d -u -I\$FreeBSD:.*\$ -I\$NetBSD:.*\$ -I\$OpenBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.3 netbsd.xml
--- guide/ko/netbsd.xml	29 May 2004 21:32:31 -0000	1.3
+++ guide/ko/netbsd.xml	29 May 2004 22:27:51 -0000
@@ -48,8 +48,8 @@
   <toc></toc>
 
   &preface;
-  &chap-intro.xml;
-  &chap-inst.xml;
-  &ap-contrip;
+  &chap-intro;
+  &chap-inst;
+  &ap-contrib;
   &ap-biblio;
 </book>
Index: guide/ko/preface.xml
===================================================================
RCS file: /cvsroot/htdocs/guide/ko/preface.xml,v
retrieving revision 1.1
diff -d -u -I\$FreeBSD:.*\$ -I\$NetBSD:.*\$ -I\$OpenBSD:.*\$ -I\$Id:.*\$ -I\$hrs:.*\$ -r1.1 preface.xml
--- guide/ko/preface.xml	19 May 2004 20:13:50 -0000	1.1
+++ guide/ko/preface.xml	29 May 2004 22:27:51 -0000
@@ -34,6 +34,6 @@
 
   <para><emphasis>지금은 이 안내서를 NetBSD www
   팀(<email>www@NetBSD.org</email>)이 관리하고 있다.  고칠 내용이나
-  제안 사항도 www 팀 주소로 보내면 된다.  <xref linkend="ap-contrib"
-  />도 참조하기 바란다.</emphasis></para>
+  제안 사항도 www 팀 주소로 보내면 된다.  <!-- xref linkend="ap-contrib"
+  / -->도 참조하기 바란다.</emphasis></para>
 </preface>
Index: guide/ko/share/default.dsl
===================================================================
RCS file: guide/ko/share/default.dsl
diff -N guide/ko/share/default.dsl
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ guide/ko/share/default.dsl	29 May 2004 22:27:51 -0000
@@ -0,0 +1,15 @@
+<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
+<!ENTITY netbsd.dsl PUBLIC "-//NetBSD//DOCUMENT DocBook DSSSL Stylesheet//EN" CDATA DSSSL>
+]>
+
+<!-- $NetBSD: default.dsl,v 1.1 2003/12/06 22:18:26 hrs Exp $ -->
+
+<style-sheet>
+  <style-specification use="docbook">
+    <style-specification-body>
+
+    </style-specification-body>
+  </style-specification>
+
+  <external-specification id="docbook" document="netbsd.dsl">
+</style-sheet>
Index: guide/ko/share/netbsd.dsl
===================================================================
RCS file: guide/ko/share/netbsd.dsl
diff -N guide/ko/share/netbsd.dsl
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ guide/ko/share/netbsd.dsl	29 May 2004 22:27:51 -0000
@@ -0,0 +1,72 @@
+<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
+<!ENTITY netbsd.dsl PUBLIC "-//NetBSD//DOCUMENT Language Neutral DocBook DSSSL Stylesheet//EN" CDATA DSSSL>
+<!ENTITY % misc.ent PUBLIC "-//NetBSD//ENTITIES NetBSD Miscellaneous Entities//EN">
+%misc.ent;
+
+<!ENTITY % output.html      "IGNORE">
+<!ENTITY % output.print     "IGNORE">
+<!ENTITY % output.print.tex "IGNORE">
+<!ENTITY % output.print.rtf "IGNORE">
+<!ENTITY % output.print.niceheaders "IGNORE">
+]>
+
+<!-- $NetBSD: netbsd.dsl,v 1.2 2003/12/14 15:56:15 hrs Exp $ -->
+
+<style-sheet>
+  <style-specification use="docbook">
+    <style-specification-body>
+
+      (define (local-en-label-title-sep)
+        (list
+          (list (normalize "warning")		": ")
+	  (list (normalize "caution")		": ")
+          (list (normalize "chapter")           "  ")
+          (list (normalize "sect1")             "  ")
+          (list (normalize "sect2")             "  ")
+          (list (normalize "sect3")             "  ")
+          (list (normalize "sect4")             "  ")
+          (list (normalize "sect5")             "  ")
+          ))
+
+      <![ %output.html; [
+
+        <!-- Configure the stylesheet using documented variables -->
+
+        (define %hyphenation% #f)        <!-- Silence a warning -->
+
+        (define (book-titlepage-recto-elements)
+          (list (normalize "title")
+                (normalize "subtitle")
+                (normalize "graphic")
+                (normalize "mediaobject")
+                (normalize "corpauthor")
+                (normalize "authorgroup")
+                (normalize "author")
+                (normalize "editor")
+                (normalize "copyright")
+                (normalize "abstract")
+                (normalize "legalnotice")
+                (normalize "isbn")))
+
+        <!-- This is the text to display at the bottom of each page.
+             Defaults to nothing.  The individual stylesheets should
+             redefine this as necessary. -->
+        (define ($email-footer$)
+          (empty-sosofo))      
+      ]]>
+
+      <![ %output.print; [
+
+      <![ %output.print.tex; [
+      ]]>
+
+      <![ %output.print.rtf; [
+      ]]>
+
+      ]]>
+
+    </style-specification-body>
+  </style-specification>
+
+  <external-specification id="docbook" document="netbsd.dsl">
+</style-sheet>
